Subject: Re: bug#50507: New function in Emacs GnuTLS implementation

From: Nikolaos Chatzikonstantinou <[email-masked]>
Date: Sun, 12 Sep 2021 00:28:33 +0900

> From: Eli Zaretskii <[email-masked]>
> Date: Fri, 10 Sep 2021 15:39:35 +0300
> > From: Nikolaos Chatzikonstantinou <[email-masked]>
> > Date: Fri, 10 Sep 2021 19:39:52 +0900
> >
> > I am looking at the src/gnutls.c:gnutls-boot function for the
> > purpose of modifying it to use the function
> > gnutls_certificate_set_x509_key_file2
> > instead of gnutls_certificate_set_x509_key_file. (Note the missing
> > `2')
> >
> > The reason for this addition would be to protect the key with a
> > password. Note that the pass parameter may be NULL.
>
> Do you intend to make the change unconditionally, or do you intend to
> make it an optional feature?
>
> And what is the minimal GnuTLS version which provided this function?

I intend to introduce new functions without changing any of the others.
The following functions were added at 2013-04-08:

        gnutls_certificate_set_x509_key_file2
        gnutls_certificate_set_x509_key_mem2

Versions after 3.2 and 3.1.11 include them. Although it appears
straightforward to introduce them, my plan is to spend some time
acclimating myself with GnuTLS and the Emacs implementation to ensure
that I did it right, and then I'll submit a patch. Does it sound good?

Regards,
Nikolaos Chatzikonstantinou